{ configs, pkgs, ... }:
{
  services.ollama = {
    enable = true;
    group = "ollama";
    user = "ollama";
    home = "/home/geir/virtual/ollama";
    rocmOverrideGfx = "9.0.0";
    package = pkgs.ollama-rocm;
    acceleration = "rocm";
    loadModels = [ "codestral" ];
  };
  users.users.geir = {
    extraGroups = [ 
		  "ollama"
    ];
  };

}
